# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.env

Environment and browser information.
Defined in: core/env.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.env Environment and browser information.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CKEDITOR.env.air Indicates that CKEditor is running on Adobe AIR.
<static> | CKEDITOR.env.gecko Indicates that CKEditor is running on a Gecko based browser, like Firefox.
<static> | CKEDITOR.env.ie Indicates that CKEditor is running on Internet Explorer.
<static> | CKEDITOR.env.isCompatible Indicates that CKEditor is running on a compatible browser.
<static> | CKEDITOR.env.mac Indicates that CKEditor is running on Macintosh.
<static> | CKEDITOR.env.opera Indicates that CKEditor is running on Opera.
<static> | CKEDITOR.env.version Contains the browser version.
<static> | CKEDITOR.env.webkit Indicates that CKEditor is running on a WebKit based browser, like Safari.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.env.isCustomDomain()

Namespace Detail
CKEDITOR.env
Since: 3.0
Environment and browser information.
Field Detail
<static> {Boolean} CKEDITOR.env.air
Since: 3.0
Indicates that CKEditor is running on Adobe AIR.

    if ( CKEDITOR.env.air )
        alert( "I'm on AIR!" );

<static> {Boolean} CKEDITOR.env.gecko
Since: 3.0
Indicates that CKEditor is running on a Gecko based browser, like Firefox.

    if ( CKEDITOR.env.gecko )
        alert( "I'm riding a gecko!" );

<static> {Boolean} CKEDITOR.env.ie
Since: 3.0
Indicates that CKEditor is running on Internet Explorer.

    if ( CKEDITOR.env.ie )
        alert( "I'm on IE!" );

<static> {Boolean} CKEDITOR.env.isCompatible
Since: 3.0
Indicates that CKEditor is running on a compatible browser.

    if ( CKEDITOR.env.isCompatible )
        alert( "Your browser is pretty cool!" );

<static> {Boolean} CKEDITOR.env.mac
Since: 3.0
Indicates that CKEditor is running on Macintosh.

    if ( CKEDITOR.env.mac )
        alert( "I love apples!" );

<static> {Boolean} CKEDITOR.env.opera
Since: 3.0
Indicates that CKEditor is running on Opera.

    if ( CKEDITOR.env.opera )
        alert( "I'm on Opera!" );

<static> {Boolean} CKEDITOR.env.version
Since: 3.0
Contains the browser version. For gecko based browsers (like Firefox) it contains the revision number with first three parts concatenated with a padding zero (e.g. for revision 1.9.0.2 we have 10900). For webkit based browser (like Safari and Chrome) it contains the WebKit build version (e.g. 522).

    if ( CKEDITOR.env.ie && CKEDITOR.env.version <= 6 )
        alert( "Ouch!" );

<static> {Boolean} CKEDITOR.env.webkit
Since: 3.0
Indicates that CKEditor is running on a WebKit based browser, like Safari.

    if ( CKEDITOR.env.webkit )
        alert( "I'm on WebKit!" );

Method Detail
<static> {Undefined} CKEDITOR.env.isCustomDomain()
Since: 3.0

    NO EXAMPLE AVAILABLE

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.